curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"continuous": true,
"dateCreated": "2023-11-07T05:31:56Z",
"dateDue": "2023-11-07T05:31:56Z",
"filename": "<string>",
"imported": true,
"jobAssignedEmailTemplate": {},
"notificationIntervalInMinutes": 123,
"providers": [
{
"type": "<string>",
"id": "<string>",
"uid": "<string>"
}
],
"sourceFileUid": "<string>",
"status": "NEW",
"targetLang": "<string>",
"uid": "<string>",
"updateSourceDate": "2023-11-07T05:31:56Z",
"workflowLevel": 123,
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
],
"numberOfElements": 123,
"pageNumber": 123,
"pageSize": 123,
"sort": {
"orders": [
{
"direction": "ASC",
"property": "<string>"
}
]
},
"totalElements": 123,
"totalPages": 123
}List jobs
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Project UID
Query Parameters
Page number, starting at 0
x >= 0Page size, maximum 50
1 <= x <= 50When true, returns only the total count without job content
Workflow step to list jobs for. Returns jobs at the specified workflow step only. To retrieve jobs across all workflow steps in a project, call this endpoint once per step (workflowLevel=1, 2, 3, ...).
1 <= x <= 15Filter by job status
NEW, ACCEPTED, DECLINED, REJECTED, DELIVERED, EMAILED, COMPLETED, CANCELLED Filter by the ID of the assigned linguist
Filter by jobs due within the given number of hours. Does not exclude jobs by status - DELIVERED, COMPLETED, CANCELLED, DECLINED and REJECTED jobs are still matched. Combine with status (excluding DELIVERED, COMPLETED, CANCELLED, DECLINED and REJECTED) to match the product's "overdue" definition.
Filter by filename
Filter by target language code
Was this page helpful?